### Function

# Gtk.FlowBoxCreateWidgetFunc

#### Declaration

    GtkWidget*
    FlowBoxCreateWidgetFunc (
      GObject* item,
      gpointer user_data
    )

#### Description [src]

Called for flow boxes that are bound to a `GListModel`.

This function is called for each item that gets added to the model.

#### Parameters

`item` | `GObject*`
| the item from the model for which to create a widget for
| Ownership is not transferred to the callee
`user_data` | `gpointer`
| user data from `gtk_flow_box_bind_model()`

#### Return value

Returns: `GtkWidget`
a `GtkWidget` that represents `item`
Ownership of the data is transferred to the caller